<div class="navbar">
  <a class="navbar-brand" routerLink="/">Mi Aplicación</a>
  <div class="nav-items">
    <a class="nav-item nav-link" *ngIf="auth.isLoggedIn()" routerLink="/citas">Citas</a>
    <a class="nav-item nav-link" *ngIf="auth.isLoggedIn()" routerLink="/diagnosticos">Diagnosticos</a>
    <a class="nav-item nav-link" *ngIf="auth.isLoggedIn()" routerLink="/medicos">Medicos</a>
    <a class="nav-item nav-link" *ngIf="auth.isLoggedIn()" routerLink="/pacientes">Pacientes</a>
    <a class="nav-item nav-link" *ngIf="!auth.isLoggedIn()" routerLink="/login">Iniciar sesión</a>
    <a class="nav-item nav-link" *ngIf="!auth.isLoggedIn()" routerLink="/registrar">Registrar</a>
    <a class="nav-item nav-link" *ngIf="auth.isLoggedIn()" (click)="onLogout()">Cerrar sesión</a>
  </div>
</div>
